<bugID>1397243<Summary>New Top Sites are displayed only on the 2nd opened New Tab after sync</Summary><Description>Created attachment 8904981
top sites displayed only on 2nd new tab.gif

[Affected versions]:
- Firefox 57.0a1 Build ID 20170905220108

[Affected Platforms]:
- All Windows
- All Mac
- All Linux

[Prerequisites]:
- browser.newtabpage.activity-stream.enabled is set to true in about:config on a clean new profile.
- Have a Firefox account with history.

[Steps to reproduce]:
1. Start the browser with the profile from prerequisites.
2. Sign in to a Firefox account.
3. Wait 20 minutes.
4. Open a New Tab and observe the Top Sites section.
5. Open another New Tab and observe the Top Sites section.
 
[Expected results]:
- Step 4 &amp; 5: Top Sites section is populated with new websites.

[Actual results]:
- Step 4: Default Top Sites are displayed.
- Step 5: Top Sites section is populated with new websites.

[Notes]:
- Attached a screen recording of the issue.</Description></bugID>